Skip to content

passkey_register_start

POST
/account/security/passkeys/register/start
curl --request POST \
--url https://api.siteqwality.com/account/security/passkeys/register/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "label": "example" }'
Media type application/json
object
label
required

Human label for the passkey (e.g., “iPhone 15 Pro”).

string
Example generated
{
"label": "example"
}

Passkey creation options

Media type application/json
object
ceremony_id
required
string format: uuid
public_key_credential_creation_options
required

Opaque JSON string. The browser passes this straight to navigator.credentials.create() after parsing.

string
Example generated
{
"ceremony_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"public_key_credential_creation_options": "example"
}

Invalid label or passkey limit

Security confirmation required